<div
  class='fullscreen-container {{if this.isFullscreen "is-fullscreen"}}'
  {{did-update this.updateState @isFullscreen}}
  {{did-insert this.setup}}
  ...attributes
>
  {{#if (and @onFullscreenRequest (not @disabled))}}
    {{#if this.isFullscreen}}
      <button
        type='button'
        class='btn btn-light btn-fullscreen mb-3'
        data-placement='left'
        {{on 'click' (fn @onFullscreenRequest false)}}
        title='Exit Fullscreen'
      >
        <FaIcon @icon='times' />
      </button>
    {{else}}
      <button
        type='button'
        class='btn btn-light btn-sm btn-fullscreen mb-3'
        data-placement='left'
        {{on 'click' (fn @onFullscreenRequest true)}}
        title='Fullscreen'
      >
        <FaIcon @icon='expand-arrows-alt' />
      </button>
    {{/if}}
  {{/if}}

  {{yield this.isFullscreen}}
</div>